TTTT Analysis 0.1

Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
fv::ObservedValue< T > Class Template Reference

A value supplied by the dataset, not derived. More...

`#include <value.hpp>`

Inheritance diagram for fv::ObservedValue< T >:
[legend]
Collaboration diagram for fv::ObservedValue< T >:
[legend]

## Public Member Functions
| ObservedValue (const std::string &name, T *val_ref, const std::string &alias="")
void | log ()
T & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< T >
| Value (const std::string &name, const std::string &alias="")
void | enable_logging (const std::function< std::string(T)> &value_to_string=[](T){return "";})
void | disable_logging ()

## Static Public Member Functions
static std::string | fmt_name (const std::string &name)

## Private Attributes
T * | val_ref

## Additional Inherited Members
Protected Attributes inherited from fv::Value< T >
std::function< std::string(T)> | value_to_string

## Detailed Description

### template<typename T>
class fv::ObservedValue< T >

A value supplied by the dataset, not derived.

An ObservedValue is the interface to your dataset. Upon creation, an ObservedValue is given a pointer to an object of type T. When an observation is loaded into memory, the value at the location referenced by that pointer must be updated with the associated data from that observation. This is the responsibility of whatever DataSet implementation is being used. This object then will read that data and return it when requested.

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/value.hpp